Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf
Class AstahAPI

    com.change_vision.jude.api.inf.AstahAPI

    public abstract class AstahAPI

Class to access Astah's features by Astah API.

Since:
  6.7.0

Method Summary
`static AstahAPI` | `getAstahAPI()` Create AstahAPI.
`static AstahAPI` | `getAstahAPI(ClassLoader classLoader)` Create AstahAPI.
`abstract NetworkAccessor` | `getNetworkAccessor()` get the accessor of the network connection using Astah's setting
`abstract ProjectAccessor` | `getProjectAccessor()` get the accessor to operate astah* project.
`abstract SystemPropertyAccessor` | `getSystemPropertyAccessor()` get the accessor to read and write Astah's system property.
`abstract IViewManager` | `getViewManager()` Get IViewManager.

Method Detail

### getAstahAPI

    public static AstahAPI getAstahAPI()

  Create AstahAPI. Only one AstahAPI can be created.

  Returns:
    AstahAPI
  Throws:
    `ClassNotFoundException` - Invalid Class Path

### getAstahAPI

    public static AstahAPI getAstahAPI(ClassLoader classLoader)

  Create AstahAPI.
  Only one AstahAPI can be created.

  Parameters:
    `classLoader` - ClassLoader
  Returns:
    URLConnectionFactory
  Throws:
    `ClassNotFoundException` - Invalid Class Path

### getProjectAccessor

    public abstract ProjectAccessor getProjectAccessor()

  get the accessor to operate astah* project.

  Returns:
    ProjectAccessor ProjectAccessor
  Since:
    6.7.0

### getViewManager

    public abstract IViewManager getViewManager()

  Get IViewManager.

  Returns:
    The object that implements IViewManager
  Throws:
    `InvalidUsingException` - InvalidUsingException occurs.
  Since:
    6.7.0

### getNetworkAccessor

    public abstract NetworkAccessor getNetworkAccessor()

  get the accessor of the network connection using Astah's setting

  Returns:
    NetworkAccessor NetworkAccessor
  Since:
    6.7.0

### getSystemPropertyAccessor

    public abstract SystemPropertyAccessor getSystemPropertyAccessor()

  get the accessor to read and write Astah's system property.

  Returns:
    SystemPropertyAccessor SystemPropertyaccessor
  Since:
    6.7.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD